> This page is for Afterpay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Get Custom Rate

GET https://agencyapi.afterpay.com/v1/custom-rate/{customRateId}

Returns details for the custom rate between the partner and Afterpay.

Reference: https://developers.afterpay.com/afterpay-partner-api/api-reference/reference-partner-api/rates/get-custom-rate

## Servers

- `https://agencyapi.afterpay.com` (Production, default)
- `https://agencyapi.sandbox.afterpay.com` (Sandbox)

## Request

### Path parameters

- `customRateId` (string, required) — The unique ID for the custom rate between Afterpay and the partner.

### Headers

- `Accept` (string, required, default: application/json) — Specifies media types that are acceptable for the response.

## Response

### 200

Details of the custom rate.

- `customRateId` (string, optional) — The unique ID for the custom rate between Afterpay and the partner.
- `status` (enum, optional) — Custom rate status.
  - Allowed values: `APPROVED`, `PENDING`, `REJECTED`
- `customRateType` (enum, optional) — Defines whether the custom rate applies to only one seller or applies to multiple sellers under the same platform or brand.
  - Allowed values: `MERCHANT`, `BRAND`
- `merchantId` (string, optional) — Optional merchant id that is unique to the merchant.
- `reference` (string, optional) — Seller or brand reference to which the custom rate is being applied; this defines the unique seller or the unique platform or brand and will be requested from the partner manually before the request is created.
- `effectiveFrom` (string, optional, nullable) — Date the custom rate is effective from.
- `effectiveEndDate` (string, optional, nullable) — Date the custom rate ends.
- `rateDetails` (list of V1CustomRateCustomRateIdGetResponsesContentApplicationJsonSchemaRateDetailsItems, optional) — The custom rate details that apply to this seller or platform or brand.

## Errors

### 401 Unauthorized Error

Unauthorized, e.g., HMAC verification failed

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

### 404 Not Found Error

Not found, e.g., contract not found.

- `timestamp` (string, optional) — Timestamp of the response, indicating when the error occurred.
- `status` (integer, optional) — The HTTP status code, specifically indicating a 404 error in this case.
- `error` (string, optional) — A short description of the error, typically "Not Found" for a 404 response.
- `message` (string, optional) — A human-readable message providing more details about the error.
- `path` (string, optional) — The attempted endpoint path that resulted in the 404 error.

### 503 Service Unavailable Error

Service unavailable.

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

## Types

### V1CustomRateCustomRateIdGetResponsesContentApplicationJsonSchemaRateDetailsItems

- `countryCode` (string, optional) — Country code in the two-letter ISO 3166-1 alpha-2 standard format, defining the consumer market for which the rate applies.
- `rates` (list of RateObjDuration, optional)

### RateObjDuration

- `variableRatePercentage` (string, required) — Variable part of the buy-rate in percentage format e.g. 5.00 for 5%.
- `fixedRate` (string, required) — Fixed part of the buy-rate e.g. 0.30 for 30 cents.
- `fixedRateCurrencyCode` (string, required) — Currency of the fixed part of the buy-rate in the three-letter ISO 4217 currency code.
- `rateType` (enum, required) — Type of rate whether introductory for temporary promotional periods or ongoing for steady-state business.
  - Allowed values: `INTRODUCTORY`, `ONGOING`
- `durationInMonths` (integer, optional) — Number of months that the introductory rate will be applied.

## Examples

**Response**

```json
{
  "customRateId": "71212312355645",
  "status": "APPROVED",
  "customRateType": "MERCHANT",
  "merchantId": "string",
  "reference": "ac_advkasdvasfbaadf:US",
  "effectiveFrom": "2024-02-25T03:47:52Z",
  "effectiveEndDate": "string",
  "rateDetails": [
    {
      "countryCode": "US",
      "rates": [
        {
          "variableRatePercentage": "5.00",
          "fixedRate": "0.30",
          "fixedRateCurrencyCode": "USD",
          "rateType": "ONGOING",
          "durationInMonths": 1
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://agencyapi.afterpay.com/v1/custom-rate/712123123556455"

headers = {
    "Accept": "application/json",
    "User-Agent": "User-Agent"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://agencyapi.afterpay.com/v1/custom-rate/712123123556455';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'User-Agent': 'User-Agent'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agencyapi.afterpay.com/v1/custom-rate/712123123556455"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("User-Agent", "User-Agent")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://agencyapi.afterpay.com/v1/custom-rate/712123123556455")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["User-Agent"] = 'User-Agent'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agencyapi.afterpay.com/v1/custom-rate/712123123556455")
  .header("Accept", "application/json")
  .header("User-Agent", "User-Agent")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agencyapi.afterpay.com/v1/custom-rate/712123123556455', [
  'headers' => [
    'Accept' => 'application/json',
    'User-Agent' => 'User-Agent',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://agencyapi.afterpay.com/v1/custom-rate/712123123556455");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("User-Agent", "User-Agent");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "User-Agent": "User-Agent"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://agencyapi.afterpay.com/v1/custom-rate/712123123556455")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```